# List domains

> List all sending domains on your workspace with their status and DNS records.

Source: https://sndr.sh/docs/api/domains/list-domains

`GET https://api.sndr.sh/v1/domains`

List all sending domains on your workspace with their status and DNS records. Not paginated.

Scope: `read`

**Request**

```bash
curl 'https://api.sndr.sh/v1/domains' \
  -H "Authorization: Bearer $SNDR_API_KEY"
```

**Response** (200)

```json
{
  "data": [
    {
      "id":              "dom_a7c2e910-4b1",
      "organization_id": "org_8d41c7a2-3f6",
      "name":            "mail.acme.com",
      "status":          "verified",
      "region":          "us-east-1",
      "spf_status":      "verified",
      "dkim_status":     "verified",
      "dmarc_status":    "verified",
      "mx_status":       "verified",
      "tls_rpt_status":  "failed",
      "mta_sts_status":  "failed",
      "bimi_status":     "failed",
      "records": [
        {
          "type":     "TXT",
          "name":     "mail.acme.com",
          "value":    "v=spf1 include:_spf.sndr.sh ~all",
          "status":   "verified",
          "hint":     "Add include:_spf.sndr.sh to your existing SPF record, or use this value if no SPF record exists. Keep one SPF record and retain your other mail providers.",
          "required": true,
          "label":    "SPF"
        }
      ],
      "created_at": "2026-01-20T09:00:00Z"
    }
  ]
}
```

**Errors**

- `unauthenticated` (401): Missing or invalid API key.
- `insufficient_scope` (403): The API key is missing the read scope.
